Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004136TestLinkTest Specificationpublic2011-01-05 15:042011-01-22 15:11
ReporterKarlReichert 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004136: configuration $tlCfg->spec_cfg->steps_results_layout = 'vertical'; is not working when creating a test step the first time
DescriptionWhen configuration option $tlCfg->spec_cfg->steps_results_layout is set to 'vertical', the panes for the test steps and the expected results shall be arranged vertically, i.e. not side-by-side but one below the other.

However, they are still arranged side-by-side, as by default, because $tlCfg->spec_cfg->steps_results_layout is set to 'horizontal' by default.

Only when editing a test step after creating it (clicking the test step), the panes are arranged as configured, i.e. one below the other.
Steps To Reproduce1. set $tlCfg->spec_cfg->steps_results_layout = 'vertical'; in custom_config.inc.php
2. create a new test case
3. create a new test step --> arrangement is wrong
4. save this test step
5. edit this test step --> arrangement is as configured
Additional Informationtested with an TestLink installation, which has been updated from 1.8.5 to 1.9.0 (without any applied fixes)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.36
BrowserFirefox 3.6.13
PHP Version5.2.11
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon test_exec.png [^] (56,927 bytes) 2011-01-06 13:59


png file icon testcase_steps_create.png [^] (68,115 bytes) 2011-01-06 13:59


png file icon testcase_steps_edit.png [^] (75,487 bytes) 2011-01-06 14:00


gz file icon fix-4136.tar.gz [^] (3,627 bytes) 2011-01-06 14:47

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013163)
KarlReichert (reporter)
2011-01-05 15:35

By the way, I just noticed, when "Generate Test Specification document" via the main menu, the steps and expected results are arranged side-by-side. It seems, that there is no configuration option to change this to vertical. This would be a nice feature.
(0013167)
fman (administrator)
2011-01-05 19:09

Standard practice for issue reporting:
never use an issue for multiple requests => if you want open a new issue for note 13163.
(0013175)
KarlReichert (reporter)
2011-01-06 09:27

@fman: You are right, so I created an extra issue(0004138) for note 13163.

So this issue here is only to track the bug described in the inital decription.
(0013176)
fman (administrator)
2011-01-06 09:39

OK, thanks for helping us reporting in useful way
(0013177)
KarlReichert (reporter)
2011-01-06 10:20
edited on: 2011-01-06 11:58

Maybe this helps to track the problem ... when I check the log, I get some warning which might be related to that issue:

E_NOTICE Undefined property: stdClass::$steps_results_layout - in <path2websrv>\testlink190\lib\testcases\archiveData.php - Line 71

E_NOTICE Undefined property: stdClass::$steps_results_layout - in <path2websrv>\testlink190\lib\testcases\tcEdit.php - Line 475
E_NOTICE Undefined property: stdClass::$steps_results_layout - in <path2websrv>\testlink190\lib\testcases\tcEdit.php - Line 556
(and much more line numbers in tcEdit.php follow, all with the same warning)

(0013184)
fman (administrator)
2011-01-06 11:56

Thanks for this additional info will give a look
(0013186)
fman (administrator)
2011-01-06 13:55

Please add some screenshoot to show what is happening
(0013188)
KarlReichert (reporter)
2011-01-06 14:04
edited on: 2011-01-06 14:07

Hello fman, I uploaded some screenshots.

testcase_steps_create.png shows, that when adding a test step to a test case, the pane for the test step and the pane for the expected result are arranged side-by-side.

testcase_steps_edit.png shows, that when editing an existing test step (by clicking it in the test specification), the pane for the test step and the pane for the expected result are arranged one below the other.

test_exec.png shows, that when executing a test case, the pane for the test step and the pane for the expected result are arranged one below the other.

So testcase_steps_create.png shows the bug: Altough configured to be displayed vertical (one below the other), when creating a new test step, the panes are displayed horizontal (side-by-side). Only when editing an existing test step, the configured value is used, i.e. the panes are displayed vertical.

(0013190)
fman (administrator)
2011-01-06 14:20

OK, thanks a lot.
stay tuned in few day we will fix it (Mantis will warn you)

Please if you find TestLink valuable spread the news this way

1- add your company to www.teamst.org forum
2. go to sourceforge testlink summay and add a 'Thumb UP'
3. go to jumpbox site and vote for a jumpbox with TL be created
(0013193)
KarlReichert (reporter)
2011-01-06 14:47

Okay, I will look forward to this :)

I added our company at http://www.teamst.org/forum/viewtopic.php?f=7&t=3815&start=0&sid=809348c2d5510ae5a25228a1c02c6471 [^] and gave you already a vote and thumb up!
(0013194)
fman (administrator)
2011-01-06 14:48

please apply attached fix and let us know
remove all files from template_c folder on test link installation
(0013195)
KarlReichert (reporter)
2011-01-06 14:53

Great, this solves this issue! Thank you very much for the fast fix!
(0013196)
fman (administrator)
2011-01-06 15:03

Good. Sometimes we are able to create a fix very fast, other times user will have to understand we have limited resources, and that we welcome any kind of contribution to solve issues.
(0013372)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2011-01-05 15:04 KarlReichert New Issue
2011-01-05 15:35 KarlReichert Note Added: 0013163
2011-01-05 19:09 fman Note Added: 0013167
2011-01-06 09:27 KarlReichert Note Added: 0013175
2011-01-06 09:39 fman Note Added: 0013176
2011-01-06 10:20 KarlReichert Note Added: 0013177
2011-01-06 11:56 fman Note Added: 0013184
2011-01-06 11:58 KarlReichert Note Edited: 0013177 View Revisions
2011-01-06 12:04 fman Assigned To => fman
2011-01-06 12:04 fman Status new => assigned
2011-01-06 13:55 fman Note Added: 0013186
2011-01-06 13:55 fman Status assigned => feedback
2011-01-06 13:59 KarlReichert File Added: test_exec.png
2011-01-06 13:59 KarlReichert File Added: testcase_steps_create.png
2011-01-06 14:00 KarlReichert File Added: testcase_steps_edit.png
2011-01-06 14:04 KarlReichert Note Added: 0013188
2011-01-06 14:04 KarlReichert Status feedback => assigned
2011-01-06 14:07 KarlReichert Note Edited: 0013188 View Revisions
2011-01-06 14:20 fman Note Added: 0013190
2011-01-06 14:47 fman File Added: fix-4136.tar.gz
2011-01-06 14:47 KarlReichert Note Added: 0013193
2011-01-06 14:48 fman Note Added: 0013194
2011-01-06 14:48 fman Status assigned => feedback
2011-01-06 14:53 KarlReichert Note Added: 0013195
2011-01-06 14:53 KarlReichert Status feedback => assigned
2011-01-06 15:03 fman Note Added: 0013196
2011-01-06 15:03 fman Status assigned => resolved
2011-01-06 15:03 fman Fixed in Version => 1.9.1 (bug fixing)
2011-01-06 15:03 fman Resolution open => fixed
2011-01-06 15:03 fman Relationship added child of 0004039
2011-01-22 15:11 fman Note Added: 0013372
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker